<?php



// ini_set('display_errors',1);



require_once('../../libreriasphp/html2pdf/_tcpdf_5.9.206/tcpdf.php');



session_start();



require_once ("../../config/Cado.php");



require_once ("../../app/compra/cCompra.php");

$oCompra = new cCompra();



require_once ("../../app/empresa/cEmpresa.php");

$oEmpresa = new cEmpresa();



require_once ("../../app/formatos/formato.php");

require_once ("../../app/formatos/fechas.php");



$dts=$oEmpresa->mostrarUno(2);

$dt = mysql_fetch_array($dts);

	$emp_ruc=$dt['tb_empresa_ruc'];

	$emp_nomcom=$dt['tb_empresa_nomcom'];

	$emp_razsoc=$dt['tb_empresa_razsoc'];

	$emp_dir=$dt['tb_empresa_dir'];

	$emp_dir2=$dt['tb_empresa_dir2'];

	$emp_tel=$dt['tb_empresa_tel'];

	$emp_ema=$dt['tb_empresa_ema'];

	$emp_fir=$dt['tb_empresa_fir'];		

mysql_free_result($dts);



$fec=date('d-m-Y');

	

$title = "REPORTE | COMPRAS POR PROVEEDOR JV - ".$fec;

$nombre_archivo = 'REPORTE | COMPRAS POR PROVEEDOR JV '.$fec.'.pdf';



// $file_name = 'FA-'.$serie.'-'.$numero.'-code.png';

// $path = 'temp/'.$file_name;

// $type = pathinfo($path, PATHINFO_EXTENSION);

// $data = file_get_contents($path);

// $base64 = 'data:image/' . $type . ';base64,' . base64_encode($data);





class MYPDF extends TCPDF

{



    public function Header() {	

      //$image_file = K_PATH_IMAGES.'logo.jpg';

      //$this->Image($image_file, 20, 10, 71, '', 'JPG', '', 'T', false, 300, '', false, false, 0, false, false, false);

      // Set font

      //$this->SetFont('helvetica', 'B', 20);

      // Title

      //$this->Cell(0, 15, '<< TCPDF Example 003 >>', 0, false, 'C', 0, '', 0, false, 'M', 'M');

    }



    public function Footer() 

    {

       $style = array(

        'position' => 'L',

        'align' => 'L',

        'stretch' => false,

        'fitwidth' => true,

        'cellfitalign' => '',

        'border' => false,

        'padding' => 0,

        'fgcolor' => array(0,0,0),

        'bgcolor' => false,

        'text' => false

      //     'font' => 'helvetica',

      //     'fontsize' => 8,

      //     'stretchtext' => 4

      );



      $this -> SetY(-12);

      // Page number

      $this->SetFont('helvetica', '', 9);

      //$this->SetTextColor(0,0,0);

      $this->Cell(0, 0, 'Página '.$this->getAliasNumPage().' de '.$this->getAliasNbPages(), 'T', 1, 'R', 0, '', 0, false, 'T', 'M');

      

      $codigo='CAV-'.str_pad($_GET['d1'], 4, "0", STR_PAD_LEFT);

      

    

      $this->Cell(0, 0, 'www.grupovyf.com', 0, 1, 'C', 0, '', 0, false, 'T', 'M');      

    }

}



// create new PDF document

$pdf = new MYPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);



$pdf->SetCreator(PDF_CREATOR);

$pdf->SetAuthor('www.infosisperu.com');

$pdf->SetTitle($title);



$pdf->SetSubject('www.infosisperu.com');

$pdf->SetKeywords('www.infosisperu.com');



// set header and footer fonts

$pdf->setHeaderFont(Array(PDF_FONT_NAME_MAIN, '', PDF_FONT_SIZE_MAIN));

$pdf->setFooterFont(Array(PDF_FONT_NAME_DATA, '', PDF_FONT_SIZE_DATA));



// set default monospaced font

$pdf->SetDefaultMonospacedFont(PDF_FONT_MONOSPACED);



//set margins

$pdf->SetMargins(12, 15, 12);// left top right

$pdf->SetHeaderMargin(PDF_MARGIN_HEADER);

//$pdf->SetFooterMargin(PDF_MARGIN_FOOTER);



//set auto page breaks

$pdf->SetAutoPageBreak(TRUE, 15);



//set image scale factor

$pdf->setImageScale(PDF_IMAGE_SCALE_RATIO);



//set some language-dependent strings

$pdf->setLanguageArray($l);



// ---------------------------------------------------------



// add a page

$pdf->AddPage('P', 'A4');



//font-family: Consolas, monaco, monospace;

//helvetica, monaco, monospace;



// Introducimos HTML de prueba

$html = '

<!DOCTYPE html>

<html lang="es">

<head>

    <meta http-equiv="Content-Type" content="text/html;charset=utf-8"/>

	<link rel="shortcut icon" href="../../admin/bootstrap/images/favicon.png">

	

</head>

<style type="text/css">

    body {

        color: black;

        font-family: Verdana, Arial, Consolas;

        font-size: 7.5pt;

    }

    .header_row th {

		font-size:28px;

		background-color:#eee;

        border-bottom: 0.9px solid #010101;

        border-right: 0.9px solid #010101;

        border-left: 0.9px solid #010101;

        border-top: 0.9px solid #010101;

    }

    .odd_row td {

        background-color: transparent;

        border-bottom: 0.9px solid #010101;

        padding-top: 5px;

        padding-bottom: 5px;

    }

    .even_row td {

        padding-top: 5px;

        padding-bottom: 5px;

        background-color: #f6f6f6;

        border-bottom: 0.9px solid #010101;

    }

    .row td{

        border-right: 0.9px solid #010101;

        border-left: 0.9px solid #010101;

    }

	

	

	

	div#div_tabla {  }

	div#div_tabla table { border-collapse: collapse; width: 100%; }

	div#div_tabla table td, div#div_tabla table th { border: 1px solid #eee;font-family:arial; font-size:28px; }

	div#div_tabla table th { height:18px;font-size:35px; }

	div#div_tabla table td { height:17px;font-size:35px; }

	

</style>



<style media="print">

    .oculto{

        display: none;

    }



</style>

<body>





<table style="width: 100%; margin-bottom: 10px">

	<tr>

	<td width="15%">

	<img src="../../imagenes/logo.png" alt="" />

	</td>

        <td style="text-align: left" width="50%">

		<br />

        <br />

            <strong style="font-size:35px">'.$emp_razsoc.'</strong><br>

            '.$emp_dir.'<br />   <strong>Telf.: '.$emp_tel.'  E-mail.: '.$emp_ema.'</strong> 

        </td>				

	    <td style="text-align: center;border-top-style:solid;border-right-style:solid;border-bottom-style:solid;border-left-style:solid;padding:2px;" width="30%">

		<br />

		<br />

		<br />

		   <strong style="font-size: 40px">COMPRAS POR PROVEEDOR <br>JV</strong>

        </td>

    </tr>

</table>



<br />

<br />		

';



$dtsa = $oCompra->filtroreporte_agru('2',$_GET['proid'],fecha_mysql($_GET['fec1']),fecha_mysql($_GET['fec2']),$_GET['agrufec'],$_GET['agruemp'],$_GET['agrupro']);

$num_rows= mysql_num_rows($dtsa);

 

 

	$html.='

	<div id="div_tabla">

	<table id="tabla_resumen_todos" width="100%" class="">

           <thead>

			

			<tr class="header_row" style="font-weight:bold;font-size:16px;">

				<th align="center" width="60" >EMISION</th>

				<th align="center" width="30">E</th>

				<th align="center" width="280">PROVEEDOR</th>

				<th align="center" >RUC</th>

				<th align="center" width="30" >TIPO</th>

				<th align="center" >NUMERO</th>	

				<th align="center" width="30" >MON</th>					

				<th align="center" width="60" >IMPORTE</th>					

						

			</tr>



			</thead>

			<tbody>	

		

		';

		

		if($num_rows>0){

		

		while($dta = mysql_fetch_array($dtsa))

		{ 			

		

		$dts1 = $oCompra->filtroreporte('2',$_GET['proid'],fecha_mysql($dta['fecha']),$_GET['agrufec'],$_GET['agruemp'],$_GET['agrupro'],

		$dta['empid'],$dta['proid'],fecha_mysql($_GET['fec1']),fecha_mysql($_GET['fec2']));

		$num_rowsf= mysql_num_rows($dts1);

	

		while($dt1 = mysql_fetch_array($dts1))

		{

			

			$mone_id = $dt1['tb_moneda_id'];	

			

			$total = $dt1['tb_comprapago_mon'];

			if($mone_id==1){

					$lbl_mone = 'S/ ';

			}else if($mone_id==2){

					$lbl_mone = 'US$ ';

			}

		

				$html.='<tr class="" >

				<td nowrap align="left" width="60" >'.mostrarFecha($dt1['tb_compra_fec']) .'</td>	

				<td align="left" width="30" >'. $dt1['tb_empresa_nomcom'].'</td>

				<td align="left" width="280" >'. $dt1['tb_proveedor_nom'].'</td>

				<td align="left" nowrap >'.$dt1['tb_proveedor_doc'].'</td>

				<td align="left" width="30" >'. $dt1['tb_documento_abr'].'</td>

				<td align="left" nowrap >'. $dt1['tb_compra_numdoc'].'</td>			

				<td align="left" width="30" >'. $lbl_mone .'</td>							

				<td align="right" width="60" >'. formato_money($dt1['tb_compra_tot']) .'</td>												

			</tr>';

			

		}

		

	if($_POST['agrufec']=='1'){

			$lbl = 'COMPRAS POR FECHA : ';

			$fe = mostrarFecha($dta['fecha']);

		}else if($_POST['agruemp']=='1'){

			$lbl = 'COMPRAS POR EMPRESA : ';

			$fe = $dta['emp'];

		}else if($_POST['agrupro']=='1'){

			$lbl = 'COMPRAS POR PROVEEDOR : ';

			$fe = $dta['pro'];

		}

		

		$html.='

		<tr class="" style="background-color:#80cbc4;" >

		<td colspan="5" align="right" >'. $lbl.'<strong>'. $fe .'</strong> </td>

		<td colspan="3" align="right" > <strong> S/ '. formato_money($dta['soles']).'</strong> <span> | </span> 

		<strong> US$ '.formato_money($dta['dolares']).'</strong> </td>

		</tr>

		';

		} 

		$con = '';

		mysql_free_result($dts1); 

		

		}else{		

		$html.='<tr>

			<td colspan="8" align="center" >No hay cuentas pagadas</td>

			</tr>';

		}

		

		$html.='</tbody>

			<tr class="even" style="background-color:#eee;">

				<td colspan="8" ></td>

			</tr>

      </table> 

	  </div> ';







$html.='

<br />

<br />

<br />



</body>

</html>';



$pdf->writeHTML($html, true, 0, true, true);



//$pdf->write2DBarcode($ruc_empresa.'|'.$idcomprobante.'|'.$serie.'|'.$numero.'|'.$toigv.'|'.$importetotal.'|'.fecha_mysql($fecha).'|'.$idtipodni.'|'.$ruc.'|', 'QRCODE,Q', 157, 99, 40, 40, $style, 'N');



$pdf->Output($nombre_archivo, 'I');



